@echo off
title Batch backup 1.2
rem   ****     winXP cmd batch file     ****
rem   ****   2007 - Matteo Gattanini    ****
:: Avvertenze:
:: non viene usato il timestamp e viene sovrascritto il backup giornaliero
:: controllare le impostazioni internazionali del PC :
::  data sia:  dd/mm/yyyy 
::attenzione nel sovrascrivere la destinazione (comunque grazie al timestamp non dovrebbe mai accadere)
:: per cambiare l'estensione dell'archivio

rem   ****      Settings     ****
set sourcedir=..\
set sourcename=An4logGauge
set backupdir=:\Backup\
:: archiver configuration
set archiverpath=C:\Programmi\7-Zip\
set archivername=7z.exe
set archivetype=7z
set archiveropts=a -t%archivetype% -xr0!*.~* -xr0!*.tmp -xr0!*\.svn -xr0!*.tds -xr0!*.obj -xr0!*.dcu -xr0!*.bak
set task=ARCHIVE

rem   ****  Preliminary things ****
:: build a date string
for /f "tokens=1,2,3,4 delims=/-. " %%x in ("%date%") do set d=%%z%%y%%x
set d=%d: =0%
:: build a time string
::set t=%time%
goto %task%


rem   **** Archive ****
:ARCHIVE

set path=%path%;%archiverpath%
set source="%sourcedir%%sourcename%"
set archivedfilename=%d%_%sourcename%.%archivetype%

if "%COMPUTERNAME%"=="GATTANINI" (set destination="E%backupdir%%archivedfilename%") else (set destination="E%backupdir%%archivedfilename%")


:DOARCHIVE
echo  -  Using:
echo %archivername%
echo  -  source directory:
echo %source%
echo  -  destination file:
echo %destination%
echo.
if EXIST %destination% del /S %destination%
echo %archivername% %archiveropts% %destination% %source%
%archivername% %archiveropts% %destination% %source%

:COPY
if not "%COMPUTERNAME%"=="GATTANINI" (
echo copying also to F%backupdir%%archivedfilename%
if EXIST F%backupdir%%archivedfilename% del /S F%backupdir%%archivedfilename%
copy /y /z /b %destination% "F%backupdir%%archivedfilename%"
)


rem   ****      Display errors      ****
if errorlevel 0 (echo [OK] files archived & goto END) else (echo Error & pause & goto END)


rem   ****      Nothing more to do     ****
:END
exit
rem   ****        End of file           ****


setlocal EnableDelayedExpansion
for /f "tokens=1-3 delims=," %%x in ("%backupdrives%") do (
for %%d in (%%x,%%y,%%z) do (
set destination=%%d%backupdir%
if exist !destination! (
set destination="!destination!%archivedfilename%"