//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <CheckLst.hpp>
#include "CSPIN.h"
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TfrmMainDemo : public TForm
{
__published:	// IDE-managed Components
    TPageControl *pagMain;
    TTabSheet *tabCompare;
    TTabSheet *tabFeatures;
    TTabSheet *tabFixedBackgrounds1;
    TImage *imgVoltmeter;
    TTimer *tmrValues1;
    TTimer *tmrRandom;
    TPanel *pnlContainer;
    TLabel *lblTabFeaturesDescription;
    TPanel *pnlRightSettings;
    TImage *imgManometer1;
    TImage *imgAmperometer;
    TLabel *lblTabFixedBkg1;
    TLabel *lblFPS_A3nalog;
    TLabel *lblFPS_An4log;
    TLabel *lblNotVisible;
    TLabel *lblFPS_An4log_me;
    TLabel *lblTabCompare;
    TPanel *pnlLeftSettings;
    TPanel *pnlBottomSettings;
    TGroupBox *grpMainProps;
    TLabel *lblValue;
    TLabel *lblCaption;
    TTrackBar *trkValue;
    TEdit *edtValue;
    TEdit *edtCaption;
    TEdit *edtFullScaleMin;
    TEdit *edtFullScaleMax;
    TLabel *lblFullScaleMin;
    TLabel *lblFullScaleMax;
    TGroupBox *grpDynamic;
    TLabel *lblkT;
    TLabel *lblkF;
    TCheckBox *chkEnableDynamic;
    TEdit *edtkT;
    TEdit *edtkF;
    TGroupBox *grpOptions;
    TCheckListBox *chlOptions;
    TCheckBox *chkAntialiased;
    TGroupBox *grpLayout;
    TLabel *lblAngleMin;
    TLabel *lblAngleRange;
    TLabel *lblAngleExceed;
    TTrackBar *trkAngleMin;
    TTrackBar *trkAngleRange;
    TCSpinEdit *speAngleExceed;
    TGroupBox *grpGeometry;
    TLabel *lblHubRadius;
    TLabel *lblPointerWidth;
    TCSpinEdit *speHubRadius;
    TCSpinEdit *spePointerWidth;
    TGroupBox *grpSpacing;
    TLabel *lblMargins;
    TLabel *lblPadding;
    TCSpinEdit *speMarginLeft;
    TCSpinEdit *speMarginRight;
    TCSpinEdit *speMarginTop;
    TCSpinEdit *speMarginBottom;
    TCSpinEdit *spePadding;
    TGroupBox *grpBands;
    TLabel *lblLowBand;
    TLabel *lblHighBand;
    TLabel *lblBandThickness;
    TEdit *edtLowBand;
    TEdit *edtHighBand;
    TCSpinEdit *speBandThickness;
    TGroupBox *grpTicks;
    TLabel *lblNumMainTicks;
    TLabel *lblNumSubTicks;
    TLabel *lblLengthMainTicks;
    TLabel *lblLengthSubTicks;
    TCSpinEdit *speNumMainTicks;
    TCSpinEdit *speNumSubTicks;
    TCSpinEdit *speLengthMainTicks;
    TCSpinEdit *speLengthSubTicks;
    TGroupBox *grpMonitor;
    TLabel *lblFPS_mtry;
    TLabel *lblClickedValue;
    TLabel *lblClickedAngle;
    TGroupBox *grpAppearance;
    TLabel *lblBevelInner;
    TLabel *lblBevelOuter;
    TComboBox *cbxBevelInner;
    TComboBox *cbxBevelOuter;
    TShape *shpBodyColor;
    TLabel *lblBodyColor;
    TLabel *lblDisplayColor;
    TShape *shpDisplayColor;
    TLabel *lblBorderColor;
    TShape *shpBorderColor;
    TLabel *lblLowBandColor;
    TShape *shpLowBandColor;
    TLabel *lblMidBandColor;
    TShape *shpMidBandColor;
    TLabel *lblHighBandColor;
    TShape *shpHighBandColor;
    TLabel *lblPointerColor;
    TShape *shpPointerColor;
    TLabel *lblHubColor;
    TShape *shpHubColor;
    TLabel *lblTicksColor;
    TShape *shpTicksColor;
    TLabel *lblValueColor;
    TShape *shpValueColor;
    TLabel *lblCaptionColor;
    TShape *shpCaptionColor;
    TImage *imgManometer2;
    TImage *imgManometer3;
    TGroupBox *grpFixedBackgrounds1Settings;
    TCheckBox *chkEnableDynamic_me1;
    TCheckBox *chkAntialiased_me1;
    TGroupBox *grpCompareSettings;
    TRadioGroup *rgrTimer;
    TCheckBox *chkAntiAliased_Compare;
    TTabSheet *tabFixedBackgrounds2;
    TLabel *lblSignal;
    TLabel *lblTabFixedBkg2;
    TGroupBox *grpFixedBackgrounds2Settings;
    TLabel *lblTimerInterval2;
    TCheckBox *chkEnableDynamic_me2;
    TCheckBox *chkAntialiased_me2;
    TCSpinEdit *speTimerInterval_me2;
    TTimer *tmrValues2;
    TLabel *lblFixedBkg1_Filter;
    void __fastcall trkValueChange(TObject *Sender);
    void __fastcall chlOptionsClickCheck(TObject *Sender);
    void __fastcall spePaddingChange(TObject *Sender);
    void __fastcall chkAntialiasedClick(TObject *Sender);
    void __fastcall speHubRadiusChange(TObject *Sender);
    void __fastcall trkAngleMinChange(TObject *Sender);
    void __fastcall trkAngleRangeChange(TObject *Sender);
    void __fastcall chkEnableDynamicClick(TObject *Sender);
    void __fastcall edtkTKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
    void __fastcall edtkTExit(TObject *Sender);
    void __fastcall rgrTimerClick(TObject *Sender);
    void __fastcall tmrValues1Timer(TObject *Sender);
    void __fastcall tmrRandomTimer(TObject *Sender);
    void __fastcall tabFixedBackgrounds1Show(TObject *Sender);
    void __fastcall tabFixedBackgrounds1Hide(TObject *Sender);
    void __fastcall chkAntiAliased_CompareClick(TObject *Sender);
    void __fastcall tabCompareShow(TObject *Sender);
    void __fastcall tabCompareHide(TObject *Sender);
    void __fastcall chkEnableDynamic_me1Click(TObject *Sender);
    void __fastcall chkAntialiased_me1Click(TObject *Sender);
    void __fastcall edtValueKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
    void __fastcall edtCaptionChange(TObject *Sender);
    void __fastcall tabFeaturesShow(TObject *Sender);
    void __fastcall tabFeaturesHide(TObject *Sender);
    void __fastcall edtFullScaleMinKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
    void __fastcall edtFullScaleMaxKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
    void __fastcall edtLowBandKeyDown(TObject *Sender, WORD &Key,TShiftState Shift);
    void __fastcall speMarginLeftChange(TObject *Sender);
    void __fastcall speMarginTopChange(TObject *Sender);
    void __fastcall speMarginRightChange(TObject *Sender);
    void __fastcall speMarginBottomChange(TObject *Sender);
    void __fastcall spePointerWidthChange(TObject *Sender);
    void __fastcall edtLowBandExit(TObject *Sender);
    void __fastcall speBandThicknessChange(TObject *Sender);
    void __fastcall speNumMainTicksChange(TObject *Sender);
    void __fastcall speNumSubTicksChange(TObject *Sender);
    void __fastcall speLengthMainTicksChange(TObject *Sender);
    void __fastcall speLengthSubTicksChange(TObject *Sender);
    void __fastcall cbxBevelOuterChange(TObject *Sender);
    void __fastcall cbxBevelInnerChange(TObject *Sender);
    void __fastcall shpBodyColorMouseDown(TObject *Sender, TMouseButton Button, TShiftState Shift, int X, int Y);
    void __fastcall speAngleExceedChange(TObject *Sender);
    void __fastcall tabFixedBackgrounds2Show(TObject *Sender);
    void __fastcall tabFixedBackgrounds2Hide(TObject *Sender);
    void __fastcall speTimerInterval_me2Change(TObject *Sender);
    void __fastcall tmrValues2Timer(TObject *Sender);
    void __fastcall chkEnableDynamic_me2Click(TObject *Sender);
private:	// User declarations
    // . . . Attributes
    bool Disable_trkValueChange;
    // . . . Methods
    void __fastcall InitInterface(class cls_An4logGauge*);
    // Handlers
    void __fastcall MeterMouseDown(TObject*, TMouseButton, Classes::TShiftState, int, int);
    void __fastcall MeterChangeBand(TObject*);
    void __fastcall AnotherChangeBand(TObject*);
    void __fastcall MeterExceeding(TObject*);
    void __fastcall Measure_A3nalog(TObject*);
    void __fastcall Measure_An4log(TObject*);

public:		// User declarations
    __fastcall TfrmMainDemo(TComponent* Owner);
};
extern TfrmMainDemo* frmMainDemo;
//---------------------------------------------------------------------------
#endif
 